=== debian/changelog ===
ccextractor (0.86+ds1-1) unstable; urgency=medium

  * Repack new tarball without unneeded directories (windows directory and
    embedded libraries that we don't use)

 -- Sophie Brun <sophie@freexian.com>  Mon, 23 Apr 2018 16:21:41 +0200

ccextractor (0.86-1) unstable; urgency=medium

  [ Sophie Brun ]
  * Initial release (Closes: #895514)
  * Packaging based on C. Marillat and S. Wick work (deb-multimedia.org)

  [ Raphaël Hertzog ]
  * Update maintainer field.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 20 Apr 2018 17:46:33 +0200
