=== debian/control ===
Source: ccextractor
Section: utils
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <hertzog@debian.org>
Build-Depends: debhelper (>= 11), libpng-dev, libavcodec-dev,
 libavformat-dev, libavutil-dev, libavfilter-dev, libleptonica-dev (>= 1.73~),
 libtesseract-dev (>= 4.00~), libutf8proc-dev, libcurl4-gnutls-dev, pkg-config,
 libfreetype6-dev
Standards-Version: 4.1.4
Homepage: https://www.ccextractor.org/
Vcs-Git: https://salsa.debian.org/freexian-team/ccextractor.git
Vcs-Browser: https://salsa.debian.org/freexian-team/ccextractor

Package: ccextractor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast closed captions extractor for MPEG and H264 files
 Supports DVD, HDTV transport streams, Replay TV.
 .
 Use this to create .srt (subtitles) files for your TV captures,
 have transcripts so you can edit subtitles, etc.
