=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,6 +5,7 @@
 option (WITH_FFMPEG "Build using FFmpeg demuxer and decoder" OFF)
 option (WITH_OCR "Build with OCR (Optical Character Recognition) feature" OFF)
 option (WITH_SHARING "Build with sharing and translation support" OFF)
+option (WITH_HARDSUBX "Build with support for burned-in subtitles" OFF)
 
 # Version number
 set (CCEXTRACTOR_VERSION_MAJOR 0)
@@ -39,7 +40,7 @@
   "${PROJECT_SOURCE_DIR}/lib_ccx/compile_info_real.h"
   )
 
-add_definitions(-DVERSION_FILE_PRESENT -DFT2_BUILD_LIBRARY)
+add_definitions(-DVERSION_FILE_PRESENT -DFT2_BUILD_LIBRARY -DGPAC_DISABLE_VTT -DGPAC_DISABLE_OD_DUMP)
 
 include_directories ("${PROJECT_SOURCE_DIR}")
 include_directories ("${PROJECT_SOURCE_DIR}/lib_ccx/")
@@ -48,7 +49,6 @@
 include_directories ("${PROJECT_SOURCE_DIR}/protobuf-c/")
 include_directories ("${PROJECT_SOURCE_DIR}/zvbi/")
 include_directories ("${PROJECT_SOURCE_DIR}/lib_hash/")
-include_directories ("${PROJECT_SOURCE_DIR}/extractors/")
 include_directories ("${PROJECT_SOURCE_DIR}/wrappers/")
 include_directories ("${PROJECT_SOURCE_DIR}/libpng/")
 include_directories ("${PROJECT_SOURCE_DIR}/zlib/")
@@ -56,10 +56,13 @@
 aux_source_directory ("${PROJECT_SOURCE_DIR}/protobuf-c/" SOURCEFILE)
 aux_source_directory ("${PROJECT_SOURCE_DIR}/zvbi/" SOURCEFILE)
 aux_source_directory ("${PROJECT_SOURCE_DIR}/lib_hash/" SOURCEFILE)
-aux_source_directory ("${PROJECT_SOURCE_DIR}/extractors/" SOURCEFILE)
 aux_source_directory ("${PROJECT_SOURCE_DIR}/wrappers/" SOURCEFILE)
 aux_source_directory ("${PROJECT_SOURCE_DIR}/libpng/" SOURCEFILE)
 aux_source_directory ("${PROJECT_SOURCE_DIR}/zlib/" SOURCEFILE)
+
+set(UTF8PROC_SOURCE
+        ${PROJECT_SOURCE_DIR}/utf8proc/utf8proc.c
+        )
 
 set(FREETYPE_SOURCE
         ${PROJECT_SOURCE_DIR}/freetype/autofit/autofit.c
@@ -134,7 +137,7 @@
 endif (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
 
 
-set (EXTRA_LIBS ${EXTRA_LIBS} -lz -lm)
+set (EXTRA_LIBS ${EXTRA_LIBS} -lz -lm -lpthread)
 
 find_package (PkgConfig)
 
@@ -143,6 +146,65 @@
 ########################################################
 
 if (PKG_CONFIG_FOUND AND WITH_FFMPEG)
+
+  pkg_check_modules (AVFORMAT REQUIRED libavformat)
+  pkg_check_modules (AVUTIL REQUIRED libavutil)
+  pkg_check_modules (AVCODEC REQUIRED libavcodec)
+  pkg_check_modules (AVFILTER REQUIRED libavfilter)
+  pkg_check_modules (SWSCALE REQUIRED libswscale)
+
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${AVFORMAT_LIBRARIES})
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${AVUTIL_LIBRARIES})
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${AVCODEC_LIBRARIES})
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${AVFILTER_LIBRARIES})
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${SWSCALE_LIBRARIES})
+
+  set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVFORMAT_INCLUDE_DIRS})
+  set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVUTIL_INCLUDE_DIRS})
+  set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVCODEC_INCLUDE_DIRS})
+  set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVFILTER_INCLUDE_DIRS})
+  set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${SWSCALE_INCLUDE_DIRS})
+
+  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_FFMPEG")
+  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_HARDSUBX")
+endif (PKG_CONFIG_FOUND AND WITH_FFMPEG)
+
+########################################################
+# Build with OCR using leptonica and tesseract libraries
+########################################################
+
+if (PKG_CONFIG_FOUND AND WITH_OCR)
+
+  pkg_check_modules (TESSERACT REQUIRED tesseract)
+  pkg_check_modules (LEPTONICA REQUIRED lept)
+
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${TESSERACT_LIBRARIES})
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${LEPTONICA_LIBRARIES})
+
+  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_OCR")
+endif (PKG_CONFIG_FOUND AND WITH_OCR)
+
+########################################################
+# Build with CC sharing and translation support
+########################################################
+
+if (PKG_CONFIG_FOUND AND WITH_SHARING)
+
+  pkg_check_modules (NANOMSG REQUIRED libnanomsg)
+  set (EXTRA_LIBS ${EXTRA_LIBS} ${NANOMSG_STATIC_LIBRARIES})
+
+  include_directories ("${PROJECT_SOURCE_DIR}/protobuf-c/")
+  aux_source_directory ("${PROJECT_SOURCE_DIR}/protobuf-c/" SOURCEFILE)
+
+  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_SHARING")
+endif (PKG_CONFIG_FOUND AND WITH_SHARING)
+
+########################################################
+# Build for hardsubx using avformat, avutil, avcodec and
+# swscale
+########################################################
+
+if (PKG_CONFIG_FOUND AND WITH_HARDSUBX)
 
   pkg_check_modules (AVFORMAT REQUIRED libavformat)
   pkg_check_modules (AVUTIL REQUIRED libavutil)
@@ -159,41 +221,10 @@
   set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVCODEC_INCLUDE_DIRS})
   set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${SWSCALE_INCLUDE_DIRS})
 
-  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_FFMPEG")
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_HARDSUBX")
-endif (PKG_CONFIG_FOUND AND WITH_FFMPEG)
-
-########################################################
-# Build with OCR using leptonica and tesseract libraries
-########################################################
-
-if (PKG_CONFIG_FOUND AND WITH_OCR)
-
-  pkg_check_modules (TESSERACT REQUIRED tesseract)
-  pkg_check_modules (LEPTONICA REQUIRED lept)
-
-  set (EXTRA_LIBS ${EXTRA_LIBS} ${TESSERACT_LIBRARIES})
-  set (EXTRA_LIBS ${EXTRA_LIBS} ${LEPTONICA_LIBRARIES})
-
-  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_OCR")
-endif (PKG_CONFIG_FOUND AND WITH_OCR)
-
-########################################################
-# Build with CC sharing and translation support
-########################################################
-
-if (PKG_CONFIG_FOUND AND WITH_SHARING)
-
-  pkg_check_modules (NANOMSG REQUIRED libnanomsg)
-  set (EXTRA_LIBS ${EXTRA_LIBS} ${NANOMSG_STATIC_LIBRARIES})
-
-  include_directories ("${PROJECT_SOURCE_DIR}/protobuf-c/")
-  aux_source_directory ("${PROJECT_SOURCE_DIR}/protobuf-c/" SOURCEFILE)
-
-  set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_SHARING")
-endif (PKG_CONFIG_FOUND AND WITH_SHARING)
-
-add_executable (ccextractor ${SOURCEFILE} ${FREETYPE_SOURCE})
+endif (PKG_CONFIG_FOUND AND WITH_HARDSUBX)
+
+add_executable (ccextractor ${SOURCEFILE} ${FREETYPE_SOURCE} ${UTF8PROC_SOURCE})
 target_link_libraries (ccextractor ${EXTRA_LIBS})
 target_include_directories (ccextractor PUBLIC ${EXTRA_INCLUDES})
