=== src/lib_ccx/CMakeLists.txt ===
--- 
+++ 
@@ -16,16 +16,19 @@
     pkg_check_modules (AVFORMAT REQUIRED libavformat)
     pkg_check_modules (AVUTIL REQUIRED libavutil)
     pkg_check_modules (AVCODEC REQUIRED libavcodec)
+    pkg_check_modules (AVFILTER REQUIRED libavfilter)
     pkg_check_modules (SWSCALE REQUIRED libswscale)
 
     set (EXTRA_LIBS ${EXTRA_LIBS} ${AVFORMAT_LIBRARIES})
     set (EXTRA_LIBS ${EXTRA_LIBS} ${AVUTIL_LIBRARIES})
     set (EXTRA_LIBS ${EXTRA_LIBS} ${AVCODEC_LIBRARIES})
+    set (EXTRA_LIBS ${EXTRA_LIBS} ${AVFILTER_LIBRARIES})
     set (EXTRA_LIBS ${EXTRA_LIBS} ${SWSCALE_LIBRARIES})
 
     set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVFORMAT_INCLUDE_DIRS})
     set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVUTIL_INCLUDE_DIRS})
     set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVCODEC_INCLUDE_DIRS})
+    set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVFILTER_INCLUDE_DIRS})
     set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${SWSCALE_INCLUDE_DIRS})
 
   set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_FFMPEG")
@@ -58,6 +61,27 @@
 target_link_libraries (ccx ${EXTRA_LIBS})
 target_include_directories (ccx PUBLIC ${EXTRA_INCLUDES})
 
+if (WITH_HARDSUBX)
+    find_package(PkgConfig)
+
+    pkg_check_modules (AVFORMAT REQUIRED libavformat)
+    pkg_check_modules (AVUTIL REQUIRED libavutil)
+    pkg_check_modules (AVCODEC REQUIRED libavcodec)
+    pkg_check_modules (SWSCALE REQUIRED libswscale)
+
+    set (EXTRA_LIBS ${EXTRA_LIBS} ${AVFORMAT_LIBRARIES})
+    set (EXTRA_LIBS ${EXTRA_LIBS} ${AVUTIL_LIBRARIES})
+    set (EXTRA_LIBS ${EXTRA_LIBS} ${AVCODEC_LIBRARIES})
+    set (EXTRA_LIBS ${EXTRA_LIBS} ${SWSCALE_LIBRARIES})
+
+    set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVFORMAT_INCLUDE_DIRS})
+    set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVUTIL_INCLUDE_DIRS})
+    set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${AVCODEC_INCLUDE_DIRS})
+    set (EXTRA_INCLUDES ${EXTRA_INCLUDES} ${SWSCALE_INCLUDE_DIRS})
+
+    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_HARDSUBX")
+endif (WITH_HARDSUBX)
+
 if (MINGW OR CYGWIN)
     set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGPAC_CONFIG_WIN32")
 endif (MINGW OR CYGWIN)
