=== debian/changelog ===
ccextractor (0.87+ds1-1) unstable; urgency=medium

  [ Corey Wright ]
  * Enable OCR and hard subtitle extraction through configure options.
    The environment variables passed to make are no longer used.
    (Closes: #914311)

  [ Raphaël Hertzog ]
  * New upstream version 0.87+ds1
  * Update patches for new upstream version
  * Add extra include statement for tesseract headers
  * Update my maintainer email

 -- Raphaël Hertzog <raphael@freexian.com>  Fri, 30 Nov 2018 11:45:16 +0100

ccextractor (0.86+ds1-2) unstable; urgency=medium

  * Add a patch to make the build reproducible (Closes: #896867, thanks to
    Chris Lamb)
  * Bump Standards-Version to 4.2.1

 -- Sophie Brun <sophie@freexian.com>  Wed, 05 Sep 2018 11:14:58 +0200
