=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <hertzog@debian.org>
+Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <raphael@freexian.com>
 Build-Depends: debhelper (>= 11), libpng-dev, libavcodec-dev,
  libavformat-dev, libavutil-dev, libavfilter-dev, libleptonica-dev (>= 1.73~),
  libtesseract-dev (>= 4.00~), libutf8proc-dev, libcurl4-gnutls-dev, pkg-config,
  libfreetype6-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://www.ccextractor.org/
 Vcs-Git: https://salsa.debian.org/freexian-team/ccextractor.git
 Vcs-Browser: https://salsa.debian.org/freexian-team/ccextractor
