=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=linux

override_dh_auto_configure:
	dh_auto_configure -- --enable-ocr --enable-hardsubx

override_dh_installchangelogs:
	dh_installchangelogs docs/CHANGES.TXT

override_dh_clean:
	dh_clean linux/objs/*.o linux/ccextractor
	find -name *.dll | xargs -r rm
	find -name *.lib | xargs -r rm

override_dh_autoreconf:
	cd linux && ./pre-build.sh
	dh_autoreconf
