## ccextractor 0.88

=== debian/changelog ===
ccextractor (0.88-0mx17+1) mx; urgency=medium

  * Rebuild for MX-17/18

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Dec 2019 15:51:18 -0800

ccextractor (0.88-0mx19+1) mx; urgency=medium

  * Rebuild for MX-19.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Thu, 26 Dec 2019 15:31:09 -0800
