=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ccextractor
 Section: utils
 Priority: optional
-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <raphael@freexian.com>
 Build-Depends: debhelper (>= 11), libpng-dev, libavcodec-dev,
  libavformat-dev, libavutil-dev, libavfilter-dev, libleptonica-dev (>= 1.73~),
