=== debian/rules ===
--- 
+++ 
@@ -19,3 +19,7 @@
 override_dh_autoreconf:
 	cd linux && ./pre-build.sh
 	dh_autoreconf
+
+override_dh_strip:
+	dh_strip -a --no-automatic-dbgsym
+
