## ccextractor 0.88+ds1

=== OpenBSD/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CATEGORIES =	multimedia
 COMMENT =	closed caption subtitles extractor
 HOMEPAGE = 	http://ccextractor.sourceforge.net/
-V =		0.77
+V =		0.88
 DISTFILES =	ccextractor.${V:S/.//}-src.zip
 MASTER_SITES =	${MASTER_SITE_SOURCEFORGE:=ccextractor/}
 DISTNAME =	ccextractor-$V
