=== debian/changelog ===
ccextractor (0.88+ds1-1) unstable; urgency=medium

  [ Sebastien Delafond ]
  * Use gcc10
  * New upstream version 0.88+ds1
  * Fix multiple definitions with new -fno-common default in GCC 10
    (Closes: #957071)
  
  [ Debian Janitor ]  
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  
 -- Sebastien Delafond <seb@debian.org>  Fri, 07 Aug 2020 10:45:13 +0200
