=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ccextractor
 Section: utils
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
+Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <raphael@freexian.com>
-Build-Depends: debhelper (>= 11), libpng-dev, libavcodec-dev,
+Build-Depends: debhelper-compat (= 12), libpng-dev, libavcodec-dev,
  libavformat-dev, libavutil-dev, libavfilter-dev, libleptonica-dev (>= 1.73~),
  libtesseract-dev (>= 4.00~), libutf8proc-dev, libcurl4-gnutls-dev, pkg-config,
- libfreetype6-dev
+ libfreetype6-dev, gcc-10
 Standards-Version: 4.2.1
 Homepage: https://www.ccextractor.org/
 Vcs-Git: https://salsa.debian.org/freexian-team/ccextractor.git
