## ccextractor 0.93%2Bds2

=== debian/changelog ===
ccextractor (0.93+ds2-2) unstable; urgency=medium

  * Team upload.
  * Patch lib_ccx/params.c to provide support for gpac 2.0
    (Closes: #1006549)
  * Update d.copyright

 -- Neil Williams <codehelp@debian.org>  Wed, 16 Mar 2022 08:36:38 +0000

ccextractor (0.93+ds2-1) unstable; urgency=medium

  * Team upload

  * Repacked upstream release to drop embedded gpac sources.
  * Use system gpac libraries (Closes: #994754)
    - CVE-2021-33362 CVE-2021-32440 CVE-2021-32139
    - CVE-2021-32137 CVE-2021-32134 CVE-2021-31260
    - CVE-2021-31258 CVE-2021-30014 CVE-2021-28300
    - CVE-2021-21852 CVE-2020-35981 CVE-2020-35980
    - CVE-2020-24829 CVE-2020-19751 CVE-2020-6631
    - CVE-2020-6630  CVE-2019-20208 CVE-2019-20171
    - CVE-2019-20170 CVE-2019-20162 CVE-2019-20161
    - CVE-2019-13618 CVE-2019-12483 CVE-2019-12482
    - CVE-2019-12481 CVE-2018-21015

 -- Neil Williams <codehelp@debian.org>  Mon, 20 Sep 2021 08:57:51 +0100

ccextractor (0.93+ds1-1) unstable; urgency=medium

  * Team upload

  * New upstream release.
  * Update ds file removals for upstream path changes
  * Includes fix for segmentation fault with empty file and
    -out=report option (Closes: #908914)

 -- Neil Williams <codehelp@debian.org>  Thu, 16 Sep 2021 15:28:45 +0100
