=== src/lib_ccx/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 if(MSVC)
     set (CMAKE_C_FLAGS "-W3 /wd4005 /wd4996")
 else (MSVC)
-    set (CMAKE_C_FLAGS "-Wall -g -std=gnu99")
+    set (CMAKE_C_FLAGS "-Wall -Wno-pointer-sign -g -std=gnu99")
 endif(MSVC)
 
 if(WIN32)
@@ -57,7 +57,7 @@
 aux_source_directory ("${PROJECT_SOURCE_DIR}/lib_ccx/" SOURCEFILE)
 aux_source_directory ("${PROJECT_SOURCE_DIR}/gpacmp4/" SOURCEFILE)
 
-add_library (ccx ${SOURCEFILE} ccx_dtvcc.h ccx_dtvcc.c)
+add_library (ccx ${SOURCEFILE} ccx_dtvcc.h ccx_dtvcc.c ccx_encoders_mcc.c ccx_encoders_mcc.h)
 target_link_libraries (ccx ${EXTRA_LIBS})
 target_include_directories (ccx PUBLIC ${EXTRA_INCLUDES})
 
@@ -86,6 +86,10 @@
     set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGPAC_CONFIG_WIN32")
 endif (MINGW OR CYGWIN)
 
+if (WITH_RUST)
+    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DENABLE_RUST")
+endif (WITH_RUST)
+
 if (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
     set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -DGPAC_CONFIG_LINUX")
 endif (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
