=== debian/control ===
Source: ccextractor
Section: utils
Priority: optional
Maintainer: Freexian Packaging Team <team+freexian@tracker.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>, Raphaël Hertzog <raphael@freexian.com>
Build-Depends: debhelper-compat (= 13), libpng-dev, libavcodec-dev,
 libavformat-dev, libavutil-dev, libavfilter-dev, libleptonica-dev,
 libtesseract-dev, libutf8proc-dev, libcurl4-gnutls-dev, pkg-config,
 libfreetype6-dev, libgpac-dev, gcc-10
Standards-Version: 4.6.0
Homepage: https://www.ccextractor.org/
Vcs-Git: https://salsa.debian.org/freexian-team/packages/ccextractor.git
Vcs-Browser: https://salsa.debian.org/freexian-team/packages/ccextractor

Package: ccextractor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast closed captions extractor for MPEG and H264 files
 Supports DVD, HDTV transport streams, Replay TV.
 .
 Use this to create .srt (subtitles) files for your TV captures,
 have transcripts so you can edit subtitles, etc.
