=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export CC = gcc-10
+export CXX = g++-10
 
 %:
 	dh $@ --sourcedirectory=linux
@@ -19,7 +21,3 @@
 override_dh_autoreconf:
 	cd linux && ./pre-build.sh
 	dh_autoreconf
-
-override_dh_strip:
-	dh_strip -a --no-automatic-dbgsym
-
