## ccextractor 0.94%2Bds1

=== debian/changelog ===
ccextractor (0.94+ds1-3build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:37:06 +1100

ccextractor (0.94+ds1-3build2) noble; urgency=medium

  * No-change rebuild against libgpac12t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Mar 2024 02:22:30 +0000

ccextractor (0.94+ds1-3build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:12:24 +0000

ccextractor (0.94+ds1-3) unstable; urgency=medium

  * Team upload.
  * Add patch to drop bashism in the configure script.
    (Closes: #998781)

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 23 Nov 2023 14:21:54 +0000

ccextractor (0.94+ds1-2) unstable; urgency=medium

  * Team upload.
  * Add patch fix FTBFS with ffmpeg 5.0 5 and tesseract 5.0
    compatibility. (Closes: #1004581)

 -- Utkarsh Gupta <utkarsh@debian.org>  Wed, 21 Jun 2023 02:56:12 +0530

ccextractor (0.94+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Disable rust due to missing iconv crate - minimal rust code in
    package.
  * Update d.watch to use repack

 -- Neil Williams <codehelp@debian.org>  Mon, 04 Apr 2022 11:41:48 +0100
